## AgsLv2Manager

AgsLv2Manager — Singleton pattern to organize LV2

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_LV2_MANAGER_GET_OBJ_MUTEX()
gboolean | ags_lv2_manager_global_get_parse_names ()
gboolean | ags_lv2_manager_global_get_preserve_turtle ()
gchar ** | ags_lv2_manager_get_default_path ()
void | ags_lv2_manager_set_default_path ()
gchar ** | ags_lv2_manager_get_filenames ()
AgsLv2Plugin * | ags_lv2_manager_find_lv2_plugin ()
AgsLv2Plugin * | ags_lv2_manager_find_lv2_plugin_with_fallback ()
void | ags_lv2_manager_load_blacklist ()
void | ags_lv2_manager_load_file ()
void | ags_lv2_manager_load_preset ()
void | ags_lv2_manager_quick_scan_default_directory ()
void | ags_lv2_manager_load_default_directory ()
GList * | ags_lv2_manager_get_lv2_plugin ()
AgsLv2Manager * | ags_lv2_manager_get_instance ()
AgsLv2Manager * | ags_lv2_manager_new ()

## Properties

char * | locale | Read / Write

## Types and Values

#define | AGS_LV2_MANAGER_DEFAULT_LOCALE

## Object Hierarchy

        GObject
        ╰── AgsLv2Manager

## Includes

    #include <ags/plugin/ags_lv2_manager.h>

## Description

The AgsLv2Manager loads/unloads LV2 plugins.

## Functions

### AGS_LV2_MANAGER_GET_OBJ_MUTEX()

    #define AGS_LV2_MANAGER_GET_OBJ_MUTEX(obj) (&(((AgsLv2Manager *) obj)->obj_mutex))

### ags_lv2_manager_global_get_parse_names ()

    gboolean
    ags_lv2_manager_global_get_parse_names
                                   ();

Get global config value parse names.

#### Returns

if `TRUE` parse only names, else not

Since: 3.0.0

### ags_lv2_manager_global_get_preserve_turtle ()

    gboolean
    ags_lv2_manager_global_get_preserve_turtle
                                   ();

Get global config value preserve turtle.

#### Returns

if `TRUE` preserve turtles, else not

Since: 3.0.0

### ags_lv2_manager_get_default_path ()

    gchar **
    ags_lv2_manager_get_default_path ();

Get lv2 manager default plugin path.

#### Returns

the plugin default search path as a string vector.

[element-type utf8][array zero-terminated=1][transfer none]

Since: 3.0.0

### ags_lv2_manager_set_default_path ()

    void
    ags_lv2_manager_set_default_path (gchar **default_path);

Set lv2 manager default plugin path.

#### Parameters

default_path | the string vector array to use as default path. | [element-type utf8][array zero-terminated=1][transfer full]

Since: 3.0.0

### ags_lv2_manager_get_filenames ()

    gchar **
    ags_lv2_manager_get_filenames (AgsLv2Manager *lv2_manager);

Retrieve all filenames

#### Parameters

lv2_manager | the AgsLv2Manager |

#### Returns

a `NULL`-terminated array of filenames.

[element-type utf8][array zero-terminated=1][transfer full]

Since: 3.0.0

### ags_lv2_manager_find_lv2_plugin ()

    AgsLv2Plugin *
    ags_lv2_manager_find_lv2_plugin (AgsLv2Manager *lv2_manager,
                                     gchar *filename,
                                     gchar *effect);

Lookup filename in loaded plugins.

#### Parameters

lv2_manager | the AgsLv2Manager |
filename | the filename of the plugin |
effect | the effect's name |

#### Returns

the AgsLv2Plugin.

[transfer none]

Since: 3.0.0

### ags_lv2_manager_find_lv2_plugin_with_fallback ()

    AgsLv2Plugin *
    ags_lv2_manager_find_lv2_plugin_with_fallback
                                   (AgsLv2Manager *lv2_manager,
                                    gchar *filename,
                                    gchar *effect);

Lookup filename in loaded plugins.

#### Parameters

lv2_manager | the AgsLv2Manager |
filename | the filename of the plugin |
effect | the effect's name |

#### Returns

the AgsLv2Plugin.

[transfer none]

Since: 3.5.10

### ags_lv2_manager_load_blacklist ()

    void
    ags_lv2_manager_load_blacklist (AgsLv2Manager *lv2_manager,
                                    gchar *blacklist_filename);

Load blacklisted plugin filenames.

#### Parameters

lv2_manager | the AgsLv2Manager |
blacklist_filename | the filename as string |

Since: 3.0.0

### ags_lv2_manager_load_file ()

    void
    ags_lv2_manager_load_file (AgsLv2Manager *lv2_manager,
                               AgsTurtle *manifest,
                               AgsTurtle *turtle,
                               gchar *lv2_path,
                               gchar *filename);

Load `filename` specified plugin.

#### Parameters

lv2_manager | the AgsLv2Manager |
manifest | the manifest |
turtle | the loaded turtle |
lv2_path | the lv2 path |
filename | the filename of the plugin |

Since: 3.0.0

### ags_lv2_manager_load_preset ()

    void
    ags_lv2_manager_load_preset (AgsLv2Manager *lv2_manager,
                                 AgsLv2Plugin *lv2_plugin,
                                 AgsTurtle *preset);

Load preset.

#### Parameters

lv2_manager | the AgsLv2Manager |
lv2_plugin | the AgsLv2Plugin |
preset | the AgsTurtle |

Since: 3.0.0

### ags_lv2_manager_quick_scan_default_directory ()

    void
    ags_lv2_manager_quick_scan_default_directory
                                   (AgsLv2Manager *lv2_manager);

Quick scan available plugins.

#### Parameters

lv2_manager | the AgsLv2Manager |

Since: 3.2.7

### ags_lv2_manager_load_default_directory ()

    void
    ags_lv2_manager_load_default_directory
                                   (AgsLv2Manager *lv2_manager);

Loads all available plugins.

#### Parameters

lv2_manager | the AgsLv2Manager |

Since: 3.0.0

### ags_lv2_manager_get_lv2_plugin ()

    GList *
    ags_lv2_manager_get_lv2_plugin (AgsLv2Manager *lv2_manager);

Get lv2 plugin.

#### Parameters

lv2_manager | the AgsLv2Manager |

#### Returns

the GList containing AgsLv2Plugin.

[transfer full]

Since: 3.5.15

### ags_lv2_manager_get_instance ()

    AgsLv2Manager *
    ags_lv2_manager_get_instance ();

Get instance.

#### Returns

the AgsLv2Manager.

[transfer none]

Since: 3.0.0

### ags_lv2_manager_new ()

    AgsLv2Manager *
    ags_lv2_manager_new (gchar *locale);

Create a new instance of AgsLv2Manager

#### Parameters

locale | the default locale |

#### Returns

the new AgsLv2Manager

Since: 3.0.0

## Types and Values

### AGS_LV2_MANAGER_DEFAULT_LOCALE

    #define AGS_LV2_MANAGER_DEFAULT_LOCALE "en-gb"

## Property Details

### The `“locale”` property

      “locale”                   char *

The assigned locale.

Owner: AgsLv2Manager

Flags: Read / Write

Default value: NULL

Since: 3.0.0